Bug 612056 - [abrt] crash in openoffice.org-writer-1:3.1.1-19.32.fc12: XRenderCreatePicture (SIGABRT)
[abrt] crash in openoffice.org-writer-1:3.1.1-19.32.fc12: XRenderCreatePictur...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: libXrender (Show other bugs)
12
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Søren Sandmann Pedersen
Fedora Extras Quality Assurance
abrt_hash:485214a95abf5894a12d9ca8de7...
:
: 575284 613333 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-07 04:00 EDT by Alex
Modified: 2014-06-18 05:13 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 08:26:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: backtrace (64.84 KB, text/plain)
2010-07-07 04:01 EDT, Alex
no flags Details

  None (edit)
Description Alex 2010-07-07 04:00:59 EDT
abrt 1.1.1 detected a crash.

architecture: i686
Attached file: backtrace
cmdline: /usr/lib/openoffice.org3/program/swriter.bin -writer
component: openoffice.org
crash_function: raise
executable: /usr/lib/openoffice.org3/program/swriter.bin
global_uuid: 485214a95abf5894a12d9ca8de73b7c0bca6246b
kernel: 2.6.32.14-127.fc12.i686.PAE
package: openoffice.org-writer-1:3.1.1-19.32.fc12
rating: 4
reason: Process /usr/lib/openoffice.org3/program/swriter.bin was killed by signal 6 (SIGABRT)
release: Fedora release 12 (Constantine)
Comment 1 Alex 2010-07-07 04:01:02 EDT
Created attachment 429985 [details]
File: backtrace
Comment 2 Caolan McNamara 2010-07-07 04:28:15 EDT
Its either cairo, X libraries, or the specific driver. Probably the driver, but moving down just one step to the next layer.
Comment 3 Benjamin Otte 2010-07-07 09:17:13 EDT
I cannot see this being Cairo. My guess is that it's either Xlib doing something wrong, OOo doing bad stuff with libX11 or plain old memory corruption. So down one layer we go.
Comment 4 Benjamin Otte 2010-07-11 07:05:52 EDT
*** Bug 575284 has been marked as a duplicate of this bug. ***
Comment 5 Benjamin Otte 2010-07-11 07:07:18 EDT
*** Bug 613333 has been marked as a duplicate of this bug. ***
Comment 6 Bug Zapper 2010-11-03 08:20:41 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2010-12-03 08:26:35 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.